@font-face {
  font-family: 'logomono';
  src:
    local('JetBrains Mono'),
    url('../fonts/JetBrainsMono-Regular.woff2') format('woff2'),
    url('../fonts/JetBrainsMono-Regular.ttf') format('ttf');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'logomono';
  src:
    local('JetBrains Mono'),
    url('../fonts/JetBrainsMono-Bold.woff2') format('woff2'),
    url('../fonts/JetBrainsMono-Bold.ttf') format('ttf');
  font-weight: bold;
  font-style: normal;
}

html {
  overflow: hidden;
}

html, body {
  width: 100%;
  height: 100%;
}

body {
  font-family: sans-serif;
}

.container {
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  align-items: center;
  align-content: center;
  height: 100%;
  max-height: 100%;
  width: 100%;
  max-width: 100%;
}

.bar {
  flex-grow: 0;
  flex-shrink: 0;
  width: 100%;
  padding: 1em;
  box-sizing: border-box;
}

.main {
  flex-grow: 1;
  flex-shrink: 1;
  width: 100%;
  overflow: auto;
  justify-content: center;
}

.content {
  width: 100%;
  max-width: 800px;
  margin: auto;
  padding: 1em;
  box-sizing: border-box;
}

.logo-container {
  display: flex;
  flex-flow: row nowrap;
  justify-content: center;
  align-items: center;
  align-content: center;
  font-family: "logomono", monospace;
  gap: 1em;
}
.logo-container.justify-left {
  justify-content: left;
}
.logo-container a {
  text-decoration: none;
}

.logo-container {
  font-size: 2em;
}
@media screen and (max-width: 520px) {
  .logo-container {
    font-size: 1.5em;
  }
}
@media screen and (max-width: 400px) {
  .logo-container {
    font-size: 1em;
  }
}
.logo-container.small {
  font-size: 1em;
}
.logo-container.tiny {
  font-size: 0.5em;
}

.logo-container .icon {
  font-size: 2em;
}

.logo-container .text {
  font-size: 1em;
}


.footer {
  display: flex;
  flex-flow: row nowrap;
  font-family: "logomono", monospace;
}
.footer .left {
  flex-shrink: 0;
  flex-grow: 0;
}
.footer .center {
  flex-shrink: 1;
  flex-grow: 1;
  text-align: center;
}
.footer .right {
  flex-shrink: 0;
  flex-grow: 0;
  text-align: right;
}

/* Colors */

html, body {
  background-color: #EEE;
}

.footer {
  background-color: #222;
  color: #DDD;
}

.footer a {
  color: #DDD;
}

a.pgp {
  text-decoration: underline;
  color: #222;
}

@media (prefers-color-scheme: dark) {
  html, body {
    background-color: #333;
    color: #DDD;
  }

  a.pgp {
    color: #DDD;
  }
}

.mono {
  font-family: "logomono", monospace;
}

.text-left {
  text-align: left;
}

dt {
  float: left;
  width: 20%;
  text-align: right;
  clear: left;
}
dd {
  float: left;
  width: 70%;
  margin-left: 2em;
}
dl:after {content:"";display:table;clear:both;}

.fingerprint {
  line-break: anywhere;
}
